Skip to content

Search events

GET
/api/v1/events
curl --request GET \
--url https://example.com/api/v1/events \
--header 'Authorization: Bearer <token>'
objectId
string

Filter by monitored object id

sourceId
string

Filter by ingress event-source id

severity
string

Filter by severity (e.g. critical)

types
string

Comma-separated event types

from
string

RFC 3339 lower time bound

to
string

RFC 3339 upper time bound

cursor
string

Opaque pagination cursor from a prior response’s nextCursor

limit
integer

Maximum items to return in this page

OK

Media typeapplication/json
object
items
required
nextCursor
string
Examplegenerated
{
"items": "example",
"nextCursor": "example"
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}